Bug 90487 - Add text/rust for Rust source code (w/ patch)
Summary: Add text/rust for Rust source code (w/ patch)
Status: RESOLVED FIXED
Alias: None
Product: shared-mime-info
Classification: Unclassified
Component: freedesktop.org.xml (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Shared Mime Info group
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-16 23:29 UTC by Eike Hein
Modified: 2015-05-18 12:27 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Add text/rust for Rust source code (1.28 KB, patch)
2015-05-16 23:29 UTC, Eike Hein
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Hein 2015-05-16 23:29:37 UTC
Created attachment 115844 [details] [review]
Add text/rust for Rust source code

The attached patch adds a text/rust type (and test file) for Rust source code.

The Rust programming language announced version 1.0 on May 15th and is now considered stable. Announcement: http://blog.rust-lang.org/2015/05/15/Rust-1.0.html

Identification is by glob pattern *.rs. This file extension is explicitly documented in the Rust reference, quote:

"Source files have the extension .rs."
(Source: https://doc.rust-lang.org/reference.html#crates-and-source-files)

The test file is is a simple Hello World program (source: http://doc.rust-lang.org/stable/book/hello-world.html).


Concrete use case: In KDE's IDE application KDevelop, language support plugins specify the source code documents they support via MIME type lists. Having shared-mime-info provide this type makes this much easier. Further, Rust itself is a major open source project that would benefit from this integration.
Comment 1 ben.striegel 2015-05-17 02:58:53 UTC
Hi, I'm a representative from the Rust community and I'm willing to answer any questions and give aid if needed.
Comment 2 Bastien Nocera 2015-05-18 10:34:30 UTC
Attachment 115844 [details] pushed as f75cbe0 - Add text/rust for Rust source code
Comment 3 Eike Hein 2015-05-18 12:27:44 UTC
Thanks Bastien!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.